<!DOCTYPE html>
<html lang="en">
<head>
    <script type="text/javascript" src="js/session_datos.js"></script>
    <script type="text/javascript" src="js/manejopagina.js"></script>
    <script type="text/javascript" src="js/funciones.js"></script>
    <script>
        var titulo = "Familias";
    </script>
    <!--<meta charset="utf-8">-->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="description" content="Bootstrap Admin Template">
    <meta name="keywords" content="app, responsive, jquery, bootstrap, dashboard, admin">
    <title>Familias</title>
    <!-- Vendor styles-->
    <!-- Animate.CSS-->
    <link rel="stylesheet" href="vendor/animate.css/animate.css">
    <!-- Bootstrap-->
    <link rel="stylesheet" href="vendor/bootstrap/dist/css/bootstrap.min.css">
    <!-- Ionicons-->
    <link rel="stylesheet" href="vendor/ionicons/css/ionicons.css">
    <!-- Material Colors-->
    <link rel="stylesheet" href="vendor/material-colors/dist/colors.css">
    <!-- Datepicker-->
    <link rel="stylesheet" href="vendor/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css">
    <!-- Select2-->
    <link rel="stylesheet" href="vendor/select2/dist/css/select2.css">
    <!-- Bootgrid-->
    <link rel="stylesheet" href="vendor/jquery.bootgrid/dist/jquery.bootgrid.css">
    <!-- Sweet Alert-->
    <link rel="stylesheet" href="vendor/sweetalert/dist/sweetalert.css">
    <!-- TOASTR-->
    <link rel="stylesheet" href="vendor/toastr/toastr.min.css">
    <!-- Bootstrap File Input -->
    <link rel="stylesheet" href="vendor/bootstrap-fileinput/bootstrap-fileinput.css">
    <link rel="stylesheet" href="vendor/bootstrap-fileinput/buttons.css">
    <!-- Application styles-->
    <link rel="stylesheet" href="css/app.css">
    <!-- Custom styles-->
    <link rel="stylesheet" href="css/custom.css">
    <!-- Solo para el Gif de Carga -->
    <link href="css/loading.css" rel="stylesheet" type="text/css">
</head>
<body class="theme-6 footer-fixed">
<!-- Solo para el Gif de Carga -->
<div class="modal1"></div>
<!-- Fin Gif de Carga -->

<div class="layout-container">
    <!-- top navbar-->
    <header class="header-container">
        <nav>
            <ul class="d-lg-none">
                <li><a class="sidebar-toggler menu-link menu-link-close" href="#"><span><em></em></span></a></li>
            </ul>
            <ul class="d-none d-sm-block">
                <li><a class="covermode-toggler menu-link menu-link-close" href="#"><span><em></em></span></a></li>
            </ul>
            <h2 class="header-title">
                <script>document.write(titulo);</script>
            </h2>
            <script type="text/javascript" src="js/menu_usuario.js"></script>
        </nav>
    </header>

    <!-- sidebar-->
    <aside class="sidebar-container">
        <div class="brand-header">
            <div class="float-left pt-4 text-muted sidebar-close"><em class="ion-arrow-left-c icon-lg"></em></div>
            <a class="brand-header-logo" href="index.html">
                <!-- Logo Imageimg(src="img/logo.png", alt="logo")
                --><span class="brand-header-logo-text"><script>document.write(compania);</script></span></a>
        </div>
        <div class="sidebar-content">
            <div class="sidebar-toolbar">
                <div class="sidebar-toolbar-background"></div>
                <div class="sidebar-toolbar-content text-center">
                    <a href="#">
                        <img class="rounded-circle thumb64 user_image">
                    </a>
                    <div class="mt-3">
                        <div class="lead user_fullname"></div>
                        <div class="text-thin user_email"></div>
                    </div>
                </div>
            </div>
            <nav class="sidebar-nav">
                <ul>
                    <script type="text/javascript" src="js/menu.js"></script>
                </ul>
            </nav>
        </div>
    </aside>

    <div class="sidebar-layout-obfuscator"></div>

    <!-- Main section-->
    <main class="main-container">
        <!-- Page content-->
        <section class="section-container">
            <div class="container-fluid">
                <div class="cardbox h-scroll">
                    <div class="cardbox-body h-scroll">
                        <div class="form-group row">
                            <!-- <label class="col-lg-2 col-form-label">Sucursal</label> -->
                            <div class="col">
                                <select id="select2-1" name="sucursal" class="form-control" onchange="cancelar()">
                                    <option value=""> Cargando ...</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="cardbox">
                    <div class="cardbox-body h-scroll">
                        <form id="formulario-familia" action="">
                            <input type="hidden" id="suc_familia" name="sucursal">
                            <input type="hidden" id="opc_familia" name="opcion">
                            <div class="form-group row">
                                <label class="col col-md-2 col-lg-2">Cod. Familia</label>
                                <div class="col col-md-2 col-lg-2">
                                    <div class="input-group">
                                        <input class="form-control" readonly="true" type="text" id="codfam1"
                                               name="codfam1" onBlur="consultar_familia()" required><span
                                            class="input-group-btn">
                              <button class="btn btn-outline-primary" type="button" id="btn-familias"><em
                                      class="ion-search"></em></button></span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col col-md-2 col-lg-2">Descripción</label>
                                <div class="col col-lg-10">
                                    <input id="desfam1" readonly="true" name="desfam1" class="form-control" type="text">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col col-md-2 col-lg-2">Orden en Tickets</label>
                                <div class="col col-md-2 col-lg-2">
                                    <input id="orden" readonly="true" name="orden" class="col form-control"
                                           type="number">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col col-md-2 col-lg-2">Puntos Promocion</label>
                                <div class="col col-md-2 col-lg-2">
                                    <input id="puntos" readonly="true" name="puntos" class="col form-control"
                                           type="number">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col col-md-2 col-lg-2">Imagen</label>
                                <div class="col col-md-3 col-lg-3">
                                    <div class="fileinput fileinput-new" data-provides="fileinput">
                                        <div class="row m-0">
                                            <div class="fileinput-new thumbnail mb-2 mr-2">
                                                <img id="foto"/>
                                            </div>
                                            <div class="fileinput-preview fileinput-exists mb-2 mr-2"></div>
                                            <div class="p-0 m-0">
                                                <div class="row m-0">
                                                    <span class="btn btn-info btn-file mb-2 mr-2 edit-image">
                                                        <div>
                                                            <span class="fileinput-new"><i class="ion-edit"></i></span>
                                                            <span class="fileinput-exists"><i class="ion-edit"></i></span>
                                                        </div>
                                                        <input type="file" class="" id="imagen_nueva" name="imagen_nueva"/>
                                                    </span>
                                                    <div>
                                                        <a id="btn_remover_imagen" href="javascript:;"
                                                           class="btn btn-danger fileinput-new remove-image">
                                                            <i class="ion-trash-a"></i>
                                                        </a>
                                                        <a id="btn_remover_imagen_nueva" href="javascript:;"
                                                           class="btn btn-danger fileinput-exists remove-image" data-dismiss="fileinput">
                                                            <i class="ion-trash-a"></i>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="ml-2 custom-control custom-checkbox">
                                    <input class="custom-control-input" type="checkbox" disabled="true" id="vender"
                                           name="vender" onclick="myCheckbox('vender','1')"><span
                                        class="custom-control-indicator"></span><span
                                        class="custom-control-description">Mostrar en Ticket Tactil</span>
                                </label>
                                <label class="ml-2 custom-control custom-checkbox">
                                    <input class="custom-control-input" type="checkbox" disabled="true"
                                           id="obsoleto" name="obsoleto" onclick="myCheckbox('obsoleto','1')"><span
                                        class="custom-control-indicator"></span><span
                                        class="custom-control-description">Familia Obsoleta</span>
                                </label>
                            </div>

                            <!--
                            <button class="btn btn-info" id="btn-empresa" type="button">Update Empresa</button>
                            <p><small class="text-muted">* Complete Campos Obligatorios</small></p> -->
                        </form>
                    </div>
                </div>
            </div>
        </section>

        <!-- Page footer-->
        <footer class="footer-container">
            <div class="d-flex justify-content-between fh">
                <a class="footer-icon footer-icon-lg" onclick="nuevo();"><em
                        class="ion-document"></em><span>NUEVO</span></a>
                <a class="footer-icon footer-icon-lg" onclick='cancelar();'><em
                        class="ion-refresh"></em><span>CANCELAR</span></a>
                <a class="footer-icon footer-icon-lg" onclick="eliminar();"><em
                        class="ion-trash-b"></em><span>ELIMINAR</span></a>
                <a class="footer-icon footer-icon-lg" onclick="guardar();"><em
                        class="ion-folder"></em><span>GUARDAR</span></a>
        </footer>
    </main>
</div>

<!-- Modal Familias -->
<div id="modal_familias" class="modal fade demo-modal-lg">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 id="titulo_ventas_emp" class="mt-0 modal-title">Familias</h5>
                <button class="close" id="closeMfam" type="button" data-dismiss="modal" aria-label="Close">
                    <span>&times;</span></button>
            </div>
            <div class="modal-body">
                <div class="table-responsive bootgrid" id="tabla1">
                    <table class="table table-striped  table-condensed table-hover" data-search='true'
                           id="bootgrid-familias">
                        <thead>
                        <tr class="familia">
                            <th data-column-id="fam_codfam1"
                                data-header-align="left" data-align="left"
                                data-order="asc"
                                data-identifier="true">Cod.
                            </th>

                            <th data-column-id="fam_desfam1"
                                data-header-align="left" data-align="left">Descrición
                            </th>

                            <th data-column-id="fam_orden" data-type="numeric"
                                data-header-align="center" data-align="center">Orden
                            </th>

                            <th data-column-id="fam_puntos" data-type="numeric"
                                data-header-align="center" data-align="center"
                                data-visible="true">Puntos
                            </th>

                            <th data-column-id="fam_vender"
                                data-header-align="center" data-align="center"
                                data-visible="true">Mostrar
                            </th>

                            <th data-column-id="fam_obsoleto"
                                data-header-align="center" data-align="center"
                                data-visible="true">Obsoleta
                            </th>

                            <th data-column-id="fam_foto"
                                data-header-align="center" data-align="center"
                                data-visible="false">foto
                            </th>

                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Modernizr-->
<script src="vendor/modernizr/modernizr.custom.js"></script>
<!-- PaceJS-->
<script src="vendor/pace/pace.min.js"></script>
<!-- jQuery-->
<script src="vendor/jquery/dist/jquery.js"></script>
<!-- Bootstrap-->
<script src="vendor/popper.js/dist/umd/popper.min.js"></script>
<script src="vendor/bootstrap/dist/js/bootstrap.js"></script>
<!-- Material Colors-->
<script src="vendor/material-colors/dist/colors.js"></script>
<!-- Screenfull-->
<script src="vendor/screenfull/dist/screenfull.js"></script>
<!-- jQuery Localize
<script src="vendor/jquery-localize-i18n/dist/jquery.localize.js"></script>
<!-- Bootgrid-->
<script src="vendor/jquery.bootgrid/dist/jquery.bootgrid.js"></script>
<script src="vendor/jquery.bootgrid/dist/jquery.bootgrid.fa.js"></script>
<!-- Datepicker-->
<script src="vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<!-- Select2-->
<script src="vendor/select2/dist/js/select2.js"></script>
<!-- Clockpicker-->
<script src="vendor/clockpicker/dist/bootstrap-clockpicker.js"></script>
<!-- Range Slider-->
<script src="vendor/nouislider/distribute/nouislider.js"></script>
<!-- ColorPicker-->
<script src="vendor/mjolnic-bootstrap-colorpicker/dist/js/bootstrap-colorpicker.js"></script>
<!-- Multiselect-->
<script src="vendor/multiselect/js/jquery.multi-select.js"></script>
<!-- Sweet Alert-->
<script src="vendor/sweetalert/dist/sweetalert-dev.js"></script>
<!-- TOASTR-->
<script src="vendor/toastr/toastr.min.js"></script>
<!-- Bootstrap File Input -->
<script src="vendor/bootstrap-fileinput/bootstrap-fileinput.js"></script>
<!-- App script-->
<script src="js/app.js"></script>
<!-- JS for this Page-->
<script src="js/familias.js"></script>

</body>
</html>